/***************************************************************************
 *  pc.h
 *  Pc e breackpoints (3 su 4, il quarto per 'go to line')
 *
 *  Sun Nov 14 10:49:20 2004
 *  Copyright  2004 Ing. Stefano Salvi
 *  Email stefano@salvi.mn.it
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 

#ifndef PC_H
#define PC_H

#ifndef _MEMORYWINDOW_H
#include "memorywindow.h"
#endif

#ifndef REGISTER_H
#include "register.h"
#endif

class Pcmon;
class i8052;

class Pc : public MemoryRegisterWindow {
  Glib::RefPtr<Gtk::UIManager> m_refUIManager;
  Glib::RefPtr<Gtk::ActionGroup> m_refActionGroup;
protected:
  Register pc;
  Register b1;
  Register b2;
  Register b3;

private:
  void toolbarBuild (Pcmon *parent);
public :
  Pc (Pcmon *p, i8052 *b);
  void redraw ();
};

#endif

//
