/***************************************************************************
 *  ppiwin.h
 *
 *  Sun Nov 14 10:49:20 2004
 *  Copyright  2004 Ing. Stefano Salvi
 *  Email stefano@salvi.mn.it
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 

#ifndef PPIWIN_H
#define PPIWIN_H

#ifndef PPI_H
#include "ppi.h"
#endif

#ifndef MONWINDOW_H
#include "monwindow.h"
#endif

class i8052;

class ppiwin : public monWindow {
  ppi PPI;

  virtual bool on_delete_event (GdkEventAny *e);

public:
  ppiwin (i8052 *p);
  ppi *getPPI () { return &PPI;};
  void redraw ();
};

#endif
