/***************************************************************************
 *  register.h
 *
 *  Sun Nov 14 10:49:20 2004
 *  Copyright  2004 Ing. Stefano Salvi
 *  Email stefano@salvi.mn.it
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 

#ifndef REGISTER_H
#define REGISTER_H

#ifndef _SFRMEMORY_H
#include "sfrmemory.h"
#endif

#ifndef _UPDATABLE_H
#include "updatable.h"
#endif

#ifndef DIALOGS_H
#include "dialogs.h"
#endif

class Pcmon;
class Pc;

// class Register : public labelField, public HRegister {
class Register : public labelField, public Updatable {
	HRegister *r;
	int noZero;
  
	virtual void Changed ();

protected:
	bool prgChanging;

public:
	Register (char *label, int is8Bit, int no0, HRegister *reg);
	virtual ~Register () {};
	virtual void redraw ();
};

#endif
